TICKIT_RENDERBUFFER_SETPEN(3)

NAME
tickit_renderbuffer_setpen - change the stored rendering pen

SYNOPSIS
    #include <tickit.h>

    void tickit_renderbuffer_setpen(TickitRenderBuffer *rb, const TickitPen *pen);

Link with -ltickit.

DESCRIPTION
tickit_renderbuffer_setpen() changes the attributes of the stored pen in the buffer to those in the given TickitPen() instance, removing any that are not present in pen. The instance passed in the pen argument is not stored by the render buffer, nor is it modified by it.

If there is a stored pen in the previous stack level, then the attributes in that pen will be merged into the current one, before the passed one is applied. In effect, the actual pen used by drawing functions is merged from the pen argument passed to tickit_renderbuffer_setpen(), and the combined stored pen from the previous stack level (which was itself merged from the pen argument and the stored pen of the stack level below that, and so on).

RETURN VALUE
This function returns nothing.

SEE ALSO
tickit_renderbuffer_new(3), tickit_renderbuffer_text(3), tickit_renderbuffer_save(3), tickit_renderbuffer(7), tickit_pen(7), tickit(7)